From next-message@example.com  Mon Jan 00 00:00:00 0000
Return-Path: <from@example.com>
Delivered-To: to@example.com
Received: by example.com
	id 1; Sun, 30 Apr 2006 19:00:00 +0200 (CEST)
Received: by localhost
	id 1; Sun, 30 Apr 2006 19:10:00 +0200 (CEST)
To: to@example.com
Subject: Simple Message
Message-Id: <20060430185000.1@example.com>
Date: Sun, 30 Apr 2006 18:50:00 +0200 (CEST)
From: from@example.com

This is a simple test message
From next-message@example.com  Mon Jan 00 00:00:00 0000
To: bar@example.com
Subject: A Really Simple Message
From: foo@example.com

Message

From next-message@example.com  Mon Jan 00 00:00:00 0000
To: river@example.com
Subject: To the River
Date: Sun, 01 Jan 1829 00:00:00 +0000
From: poe@example.com
Message-Id: <18290101000000.0000@example.com>
Content-type: text/plain
MIME-version: 1.0
X-Twin: the good
X-Twin: the evil

Fair river! in thy bright, clear flow 
Of crystal, wandering water,
Thou art an emblem of the glow 
Of beautythe unhidden heart
The playful maziness of art
In old Alberto's daughter; 

But when within thy wave she looks
Which glistens then, and trembles
Why, then, the prettiest of brooks 
Her worshipper resembles;
For in his heart, as in thy stream, 
Her image deeply lies
His heart which trembles at the beam 
Of her soul-searching eyes.

From next-message@example.com  Mon Jan 00 00:00:00 0000
To: foo@example.com
Subject: multipart
Date: Sun, 01 Jan 2000 00:00:00 +0000
From: crazy@example.com
Content-type: multipart/alternative; boundary="crazy-multipart"
MIME-version: 1.0

multipart message
--crazy-multipart
Content-type: text/plain

The first part 
is horizontal

--crazy-multipart
Content-type: text/x-vertical

T s p i v
h e a s e
e c r   r
  o t   t
  n     i
  d     c
        a
        l
--crazy-multipart--

From next-message@example.com  Mon Jan 00 00:00:00 0000
To: foo@example.com
Subject: multipart
Date: Sun, 01 Jan 2000 01:00:00 +0000
From: normal@example.com
Content-type: multipart/alternative; boundary="normal-multipart"
MIME-version: 1.0

multipart message
--normal-multipart
Content-type: text/html

Again a simple message

--normal-multipart
Content-type: text/plain

Again a simple message
--normal-multipart--
From next-message@example.com  Mon Jan 00 00:00:00 0000
To: foo@example.com
Subject: no body
Date: Sun, 01 Jan 2000 01:00:00 +0000
From: short@example.com
From next-message@example.com  Mon Jan 00 00:00:00 0000
To: to@example.com
Subject: Dot Test
Date: Sun, 01 Jan 2000 01:00:00 +0000
From: from@example.com

Before the dot
.
is after the dot